%define _requires_exceptions /usr/bin/lua

Name:       prosody
Version:    0.8.2
Release:    %mkrel 7
Summary:    Light Lua Jabber/XMPP server
URL:        http://prosody.im/
Group:      System/Servers
License:    MIT
Requires(post): systemd >= %{systemd_required_version}
Requires(pre):  rpm-helper
Requires(post): rpm-helper
Requires(preun):    rpm-helper
Requires(postun):   rpm-helper
Requires:   lua-sec
Requires:   lua-socket
Requires:   lua-expat
BuildRequires: lua-devel
BuildRequires: openssl-devel
BuildRequires: idn-devel
Source0:    http://prosody.im/downloads/source/%{name}-%{version}.tar.gz
Source1:    %{name}.init
Source2:    %{name}.sysconfig
Source3:    %{name}.config

%description
Prosody is an exciting new server for Jabber/XMPP written in Lua. It aims to 
be easy to use, and light on resources. For developers it aims to give a 
flexible system on which to rapidly develop added functionality, or 
prototype new protocols

%prep
%setup -q

%build
./configure --with-lua='' --with-lua-include=/usr/include --prefix=/usr
%make

%install
rm -rf %{buildroot}

%makeinstall_std


mkdir -p %{buildroot}%{_initrddir}
cat %{SOURCE1} > %{buildroot}%{_initrddir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
cat %{SOURCE2} > %{buildroot}%{_sysconfdir}/sysconfig/%{name}

cat %{SOURCE3} > %{buildroot}%{_sysconfdir}/%{name}/%{name}.cfg.lua 

mkdir -p %{buildroot}/%{_localstatedir}/lib/%{name}

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/prosody 0755 prosody prosody
EOF

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd %{name} /var/empty /bin/bash

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc doc/*
%config(noreplace) %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(755,root,root) %config(noreplace) %{_initrddir}/%{name}
%{_tmpfilesdir}/%{name}.conf
%attr(700,%{name},%{name}) %{_localstatedir}/lib/%{name}
%{_bindir}/%{name}ctl
%{_bindir}/%{name}
%{_prefix}/lib/%{name}
%{_mandir}/man1/%{name}ctl.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.8.2-7.mga4
+ Revision: 523402
- Mageia 4 Mass Rebuild

* Mon Apr 15 2013 pterjan <pterjan> 0.8.2-6.mga3
+ Revision: 410176
- Exclude broken requires on /usr/bin/lua

* Sun Mar 24 2013 colin <colin> 0.8.2-5.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.8.2-4.mga3
+ Revision: 378558
- add tmpfiles config for /run/prosody

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 07 2011 tv <tv> 0.8.2-2.mga2
+ Revision: 140083
- fix missing LSB keywords
- fix missing LSB keywords
- new release

* Fri Apr 15 2011 shikamaru <shikamaru> 0.7.0-1.mga1
+ Revision: 85968
- Clean spec (buildroot, trailing space, one BR per line)
- imported package prosody


* Tue Jul 20 2010 Michael Scherer <misc@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 555132
- update to new version 0.7.0

* Mon Apr 19 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.6.2-1mdv2010.1
+ Revision: 536825
- update to 0.6.2

* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 0.6.1-2mdv2010.1
+ Revision: 534502
- rebuild

* Thu Nov 26 2009 Michael Scherer <misc@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 470310
- update to new version 0.6.1

* Wed Nov 25 2009 Michael Scherer <misc@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 470011
- update to new version 0.6.0

* Tue Sep 29 2009 Michael Scherer <misc@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 450816
- update to new version 0.5.2

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 404692
- update to new version 0.5.1

* Sat Jul 25 2009 Michael Scherer <misc@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 399845
- update to 0.5.0

* Sat Jul 18 2009 Michael Scherer <misc@mandriva.org> 0.4.2-2mdv2010.0
+ Revision: 397126
- fix directory ownership

* Sat Jul 18 2009 Michael Scherer <misc@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 396967
- give a proper shell to prosody user
- new version 0.4.2
- no longer run as root

* Sat May 02 2009 Michael Scherer <misc@mandriva.org> 0.4.0-1mdv2010.0
+ Revision: 370410
- fix again BuildRequires
- add BuildRequires
- remove logrotate, and use syslog, prosody do not have support for reloading the file
- adapt initscript
- fix the specfile
- add a default configfile
- import prosody


